petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCGAMGSetThresholdScale

Relative threshold reduction at each level

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetThresholdScale(PC pc, PetscReal v)

Not collective on PC

### Input Parameters

| pc | - the preconditioner context
| scale | - the threshold value reduction, ussually < 1.0

### Options Database Key

-pc_gamg_threshold_scale <v> -

### See Also

()

### Level

advanced

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetThresholdScale_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages